QGIS 2.14 (Essen) crashes when clicked on projection button
Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.14.3 Regression?: No

Operating System: ubuntu 14.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27014

Description

I installed the qgis 2.14 (Essen) on Ubuntu 14.04 (trusty tahr, 32 bit) a few days ago. I added the followings to my "sources.list" file,

deb http://security.ubuntu.com/ubuntu trusty-security main

deb http://ppa.launchpad.net/ubuntugis/ppa/ubuntu trusty main

deb-src http://ppa.launchpad.net/ubuntugis/ppa/ubuntu trusty main

then did the sudo apt-get update and sudo apt-get install qgis. Most of the features appear to be working (I am following the qgis 2.14

training manual). However, the moment I click on the projection button (at the bottom right corner of the qgis window) the qgis crashes

and the following error message appears on the terminal,

Fatal: ASSERT: "myResult == 0" in file /build/qgis-wBLMzq/qgis-2.14.3+dfsg/src/app/qgsprojectproperties.cpp, line 1850

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0x9dc8)[0xb74ffdc8]

/usr/bin/qgis.bin(+0x9efe)[0xb74ffefe]

/usr/lib/i386-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x2d)[0xb5cd0c7d]

/usr/lib/i386-linux-gnu/libQtCore.so.4(+0x5c127)[0xb5cd1127]

/usr/lib/i386-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x18)[0xb5cd1658]

/usr/lib/i386-linux-gnu/libQtCore.so.4(qt_assert(char const*, char const*, int)+0x35)[0xb5cd16d5]

/usr/lib/libqgis_app.so.2.14.3(QgsProjectProperties::populateEllipsoidList()+0x26e)[0xb7106efe]

/usr/lib/libqgis_app.so.2.14.3(QgsProjectProperties::QgsProjectProperties(QgsMapCanvas*, QWidget*,

QFlags<Qt::WindowType>)+0x1652)[0xb710a4f2]

/usr/lib/libqgis_app.so.2.14.3(QgisApp::projectProperties()+0x6a)[0xb6ee6f2a]

/usr/lib/libqgis_app.so.2.14.3(QgisApp::projectPropertiesProjections()+0x22)[0xb6ee70f2]

/usr/lib/libqgis_app.so.2.14.3(+0x4ad250)[0xb72b6250]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int, void**)+0x247)[0xb5e030f7]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QAbstractButton::clicked(bool)+0x4d)[0xb59f626d]

/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x550c21)[0xb5710c21]

/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x551fa7)[0xb5711fa7]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QAbstractButton::mouseReleaseEvent(QMouseEvent*)+0x8e)[0xb57120ae]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QToolButton::mouseReleaseEvent(QMouseEvent*)+0x27)[0xb57e3977]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xd4a)[0xb535340a]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QAbstractButton::event(QEvent*)+0x62)[0xb57130b2]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QToolButton::event(QEvent*)+0x44)[0xb57e3a64]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0xa4)[0xb52f97f4]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x1dd0)[0xb5301ea0]

/usr/lib/libqgis_core.so.2.14.3(QgsApplication::notify(QObject*, QEvent*)+0x62)[0xb61c7072]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x7a)[0xb5dede4a]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool)+0x103)[0xb52ffb53]
/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x1c37a8)[0xb53837a8]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(XEvent*)+0x18c5)[0xb5382ef5]

/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x1ee554)[0xb53ae554]

/lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x273)[0xb110d1e3]

/lib/i386-linux-gnu/libglib-2.0.so.0(+0x47468)[0xb110d468]

/lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x38)[0xb110d528]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x6b)[0xb5

1d93b]

/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x1ee60e)[0xb53ae60e]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x43)[0xb5dec823]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x179)[0xb5decb49]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x8e)[0xb5df28fe]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplication::exec()+0x24)[0xb52f7a24]

/usr/bin/qgis.bin(+0x5f4e)[0xb74fbf4e]

/lib/i386-linux-gnu/libc.so.6(_libc_start_main+0xf3)[0xb4f23af3]

/usr/bin/qgis.bin(+0x94db)[0xb74ff4db]

Aborted (core dumped)

Also, I need to add that, once I start the qgis from terminal, the following messages appear on the terminal,

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QCss::Parser - Failed to load file  "/style.qss" 

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action 

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "&Toolbox" under id 297

I have notice that there is another bug report of similar nature (i.e. Bug report #13554), however, there is no response to that. Also, there

is another bug report (Bug report #13511) that the user seems to have a similar problem and the following is suggested to the user "Does

/usr/share/qgis/resources/srs.db exist and is accessible by the user?". I am not sure how relevant this question is but I checked for that file

and there is no such file. Unfortunately, this bug report (i.e. #13511) ends with no clear solution too. Please let me know if I need to give

more details.

Thank you

History

#1 - 2018-06-13 12:53 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

2.14 is no longer supported by the QGIS project - please test with 2.18 or 3.0

#2 - 2018-06-14 12:13 AM - NOZHAN BALAFKAN

- Status changed from Closed to Reopened

Dear Nyall Dawson,

I changed the repository to,
deb http://qgis.org/debian trusty main

deb-src http://qgis.org/debian trusty main

Now, the qgis 2.18.16 (Las Palmas) is installed. However, the problem persists. Once I tried to run qgis from terminal the following message appeared,

/usr/bin/qgis.bin: /usr/local/lib/libgdal.so.1: no version information available (required by /usr/lib/libqgis_app.so.2.18.16)

/usr/bin/qgis.bin: /usr/local/lib/libgdal.so.1: no version information available (required by /usr/lib/libqgis_gui.so.2.18.16)

/usr/bin/qgis.bin: /usr/local/lib/libgdal.so.1: no version information available (required by /usr/lib/libqgis_core.so.2.18.16)

/usr/bin/qgis.bin: /usr/local/lib/libgdal.so.1: no version information available (required by /usr/lib/libqgis_analysis.so.2.18.16)

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: Object::connect: No such signal QgsMergedBookmarksTableModel::&QgsMergedBookmarksTableModel::selectItem( const QModelIndex

&index ) in /tmp/buildd/qgis-2.18.16+20trusty/src/app/qgsbookmarks.cpp:125

Warning: Object::connect:  (receiver name: 'QgsBookmarksBase')

Warning: QCss::Parser - Failed to load file  "/style.qss" 

Warning: QLayout: Attempting to add QLayout "" to QgsPanelWidgetStack "mWidgetStack", which already has a layout

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action 

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action 

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action 

Warning: QVariantMap DBusMenuExporterDBus::getProperties(int, const QStringList&) const: Condition failed: action 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "&Toolbox" under id 262

Later, when the qgis window appeared on the screen I checked the CRS button (on the lower right hand corner of the window) again  by clicking on it. The

moment I clicked on it, the qgis crashed (the window froze and then disappeared) and the following message appeared on the terminal,

Fatal: ASSERT: "myResult == 0" in file /tmp/buildd/qgis-2.18.16+20trusty/src/app/qgsprojectproperties.cpp, line 1891

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xa72b)[0xb724f72b]

/usr/bin/qgis.bin(myMessageOutput(QtMsgType, char const*)+0x4e)[0xb724f8fe]

/usr/lib/i386-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x2d)[0xb566ec7d]

/usr/lib/i386-linux-gnu/libQtCore.so.4(+0x5c127)[0xb566f127]

/usr/lib/i386-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x18)[0xb566f658]

/usr/lib/i386-linux-gnu/libQtCore.so.4(qt_assert(char const*, char const*, int)+0x35)[0xb566f6d5]

/usr/lib/libqgis_app.so.2.18.16(QgsProjectProperties::populateEllipsoidList()+0x268)[0xb6ce1458]

/usr/lib/libqgis_app.so.2.18.16(QgsProjectProperties::QgsProjectProperties(QgsMapCanvas*, QWidget*,

QFlags<Qt::WindowType>)+0x1bdf)[0xb6ce505f]

/usr/lib/libqgis_app.so.2.18.16(QgisApp::projectProperties()+0x6a)[0xb6a95e7a]

/usr/lib/libqgis_app.so.2.18.16(QgisApp::projectPropertiesProjections()+0x22)[0xb6a96042]

/usr/lib/libqgis_app.so.2.18.16(+0x5307d1)[0xb6eca7d1]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int, void**)+0x247)[0xb57a10f7]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QAbstractButton::clicked(bool)+0x4d)[0xb539426d]

/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x550c21)[0xb50aec21]

/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x551fa7)[0xb50affa7]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QAbstractButton::mouseReleaseEvent(QMouseEvent*)+0x8e)[0xb50b00ae]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QToolButton::mouseReleaseEvent(QMouseEvent*)+0x27)[0xb5181977]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xd4a)[0xb4cf140a]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QAbstractButton::event(QEvent*)+0x62)[0xb50b10b2]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QToolButton::event(QEvent*)+0x44)[0xb5181a64]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0xa4)[0xb4c977f4]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x1dd0)[0xb4c9fea0]

/usr/lib/libqgis_core.so.2.18.16(QgsApplication::notify(QObject*, QEvent*)+0x62)[0xb5b9fc52]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x7a)[0xb578be4a]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

2025-07-27 3/4

http://qgis.org/debian
http://qgis.org/debian


QPointer<QWidget>&, bool)+0x103)[0xb4c9db53]

/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x1c37a8)[0xb4d217a8]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(XEvent*)+0x18c5)[0xb4d20ef5]

/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x1ee554)[0xb4d4c554]

/lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x273)[0xb0dcd1e3]

/lib/i386-linux-gnu/libglib-2.0.so.0(+0x47468)[0xb0dcd468]

/lib/i386-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x38)[0xb0dcd528]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x8f)[0xb57bb95f]

/usr/lib/i386-linux-gnu/libQtGui.so.4(+0x1ee60e)[0xb4d4c60e]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x43)[0xb578a823]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x179)[0xb578ab49]

/usr/lib/i386-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x8e)[0xb57908fe]

/usr/lib/i386-linux-gnu/libQtGui.so.4(QApplication::exec()+0x24)[0xb4c95a24]

/usr/bin/qgis.bin(main+0x2211)[0xb724bb91]

/lib/i386-linux-gnu/libc.so.6(_libc_start_main+0xf3)[0xb48c1af3]

/usr/bin/qgis.bin(+0xa2bb)[0xb724f2bb]

Aborted (core dumped)

As I mentioned in my previous report, the basic functions of the qgis work just fine (e.g. opening a map, adding different layers, ...). It's the CRS button and

some other coordinate-related features that are not functioning. I, also, need to add that the CRS window can be accessed via "Settings ---> Options --->

CRS" but there is no coordinate system to select in the CRS window (the CRS filter shows nothing no matter what I type in). Please let me know if I need to

provide further details.

Thank you

#3 - 2019-01-21 12:35 AM - Jürgen Fischer

- Status changed from Reopened to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-02-11 12:22 AM - Nyall Dawson

- Resolution changed from wontfix to no timely feedback

- Status changed from Feedback to Closed
